LocaleInfo (Sigar API)
Date: 2009-07-09

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar.win32
Class LocaleInfo

    java.lang.Object
      org.hyperic.sigar.win32.Win32
          org.hyperic.sigar.win32.LocaleInfo

    public class LocaleInfo

extends Win32

Field Summary
`static int` | `LANG_ENGLISH` English primary language id
`static int` | `LOCALE_SENGCOUNTRY` English name of country
`static int` | `LOCALE_SENGLANGUAGE` English name of language

Fields inherited from class org.hyperic.sigar.win32.Win32
`EXE_EXT`

Constructor Summary
`LocaleInfo()`
`LocaleInfo(int id)`
`LocaleInfo(java.lang.Integer id)`
`LocaleInfo(int primary, int sub)`

Method Summary
`java.lang.String` | `getAttribute(int attr)`
`java.lang.String` | `getEnglishCountryName()`
`java.lang.String` | `getEnglishLanguageName()`
`int` | `getId()`
`java.lang.String` | `getPerflibLangId()`
`int` | `getPrimaryLangId()`
`int` | `getSubLangId()`
`static boolean` | `isEnglish()`
`static int` | `makeLangId(int primary, int sub)`
`void` | `setId(int id)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.sigar.win32.Win32
`findExecutable, findScriptExecutable, getFileVersion, main`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOCALE_SENGLANGUAGE

    public static final int LOCALE_SENGLANGUAGE

  English name of language

  See Also:
    Constant Field Values

### LOCALE_SENGCOUNTRY

    public static final int LOCALE_SENGCOUNTRY

  English name of country

  See Also:
    Constant Field Values

### LANG_ENGLISH

    public static final int LANG_ENGLISH

  English primary language id

  See Also:
    Constant Field Values

Constructor Detail

### LocaleInfo

    public LocaleInfo()

### LocaleInfo

    public LocaleInfo(java.lang.Integer id)

### LocaleInfo

    public LocaleInfo(int id)

### LocaleInfo

    public LocaleInfo(int primary,
                      int sub)

Method Detail

### makeLangId

    public static final int makeLangId(int primary,
                                       int sub)

### getId

    public int getId()

### setId

    public void setId(int id)

### getPrimaryLangId

    public int getPrimaryLangId()

### getSubLangId

    public int getSubLangId()

### isEnglish

    public static boolean isEnglish()

### getPerflibLangId

    public java.lang.String getPerflibLangId()

### getAttribute

    public java.lang.String getAttribute(int attr)

### getEnglishLanguageName

    public java.lang.String getEnglishLanguageName()

### getEnglishCountryName

    public java.lang.String getEnglishCountryName()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.